%global momorel 8

Name:           perl-Mail-DomainKeys
Version:        1.0
Release:        %{momorel}m%{?dist}
Summary:        Mail::DomainKeys Perl module
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mail-DomainKeys/
Source0:	http://www.cpan.org/modules/by-module/Mail/Mail-DomainKeys-%{version}.tar.gz
NoSource:       0
Patch0:		Mail-DomainKeys-1.0-no-prompt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Crypt-OpenSSL-RSA
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-MailTools
BuildRequires:  perl-Net-DNS >= 0.34
Requires:       perl-Crypt-OpenSSL-RSA
Requires:       perl-MailTools
Requires:       perl-Net-DNS >= 0.34
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
I will leave this module here on CPAN for a while, just in case someone has
grown to depend on it.  It is apparent that DK will not be the way of the
future. Thus, it is time to put this module to ground before it causes any
further harm.

%prep
%setup -q -n Mail-DomainKeys-%{version}
%patch0 -p1 -b .no-prompt

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README THANKS
%{perl_vendorlib}/*/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-2m)
- rebuild against gcc43

* Sun Jul 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
